Package Details: pivx-sapling-params 5.1.0-1

Git Clone URL: https://aur.archlinux.org/pivx.git (read-only, click to copy)
Package Base: pivx
Description: Transactional security and privacy-focused decentralized open source cryptocurrency (sapling parameters)
Upstream URL: https://pivx.org/
Licenses: MIT
Submitter: aaronm-cloudtek
Maintainer: jokke (TheBattleWolf)
Last Packager: TheBattleWolf
Votes: 11
Popularity: 0.000032
First Submitted: 2017-03-19 10:49
Last Updated: 2021-05-01 18:41

Latest Comments

phnx47 commented on 2021-05-09 20:20

Line 29: install -Dm644 "doc/man/pivxd.1" "${pkgdir}/usr/share/man/man1/pivxd.1"

Must be after Line 31: cd "${srcdir}/${_pkgbase}-${pkgver}"

jahway603 commented on 2021-05-03 02:07

This package is not working for me and I get the following error message:

==> Starting package_pivx-daemon()...
install: cannot stat 'doc/man/pivxd.1': No such file or directory
==> ERROR: A failure occurred in package_pivx-daemon().
    Aborting...

TheBattleWolf commented on 2021-03-09 16:53

Would you mind adding aarch64 support,I have tested it, a patch would be:

From 508f939551c100edf6a387acde768130e52ea87a Mon Sep 17 00:00:00 2001
From: TheBattleWolf <thebattlewolf@posteo.net>
Date: Tue, 9 Mar 2021 17:44:28 +0100
Subject: [PATCH 1/1] Add aarch64 support

---
 .SRCINFO | 3 +++
 PKGBUILD | 4 +++-
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/.SRCINFO b/.SRCINFO
index 1e4ab5e..769f7e9 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -5,6 +5,7 @@ pkgbase = pivx
    url = https://pivx.org/
    arch = i686
    arch = x86_64
+   arch = aarch64
    license = MIT
    source = https://github.com/PIVX-Project/PIVX/archive/v5.0.1.tar.gz
    sha256sums = 81d713cb70e1e75e5a89729c856d3345d300697ee8f6fd8fa8c3c120d575e672
@@ -12,6 +13,8 @@ pkgbase = pivx
    sha256sums_i686 = 86e020f6307913d3287fe58b1328a0892ae8588dcd96156414c1361295968a3d
    source_x86_64 = https://github.com/PIVX-Project/PIVX/releases/download/v5.0.1/pivx-5.0.1-x86_64-linux-gnu.tar.gz
    sha256sums_x86_64 = b2e043a4cba9e913bf6a62a7d33f307bcb8d103fb7d285f6608ff2918d61feff
+   source_aarch64 = https://github.com/PIVX-Project/PIVX/releases/download/v5.0.1/pivx-5.0.1-aarch64-linux-gnu.tar.gz
+   sha256sums_aarch64 = bf340f82ae5e3958da430f40d303a42324b01b9f8860347615ff0a6d5f62e802

 pkgname = pivx-daemon
    pkgdesc = Transactional security and privacy-focused decentralized open source cryptocurrency (daemon)
diff --git a/PKGBUILD b/PKGBUILD
index 3448e6f..69b26ec 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,17 +5,19 @@ pkgbase=pivx
 _pkgbase=${pkgbase^^}
 pkgver=5.0.1
 pkgrel=1
-arch=("i686" "x86_64")
+arch=("i686" "x86_64" "aarch64")
 url="https://pivx.org/"
 #depends=("boost-libs")
 pkgdesc="Transactional security and privacy-focused decentralized open source cryptocurrency "
 license=("MIT")
 source=("https://github.com/PIVX-Project/PIVX/archive/v$pkgver.tar.gz")
 source_i686=("https://github.com/PIVX-Project/PIVX/releases/download/v$pkgver/pivx-$pkgver-i686-linux-gnu.tar.gz")
+source_aarch64=("https://github.com/PIVX-Project/PIVX/releases/download/v$pkgver/pivx-$pkgver-aarch64-linux-gnu.tar.gz")
 source_x86_64=("https://github.com/PIVX-Project/PIVX/releases/download/v$pkgver/pivx-$pkgver-x86_64-linux-gnu.tar.gz")
 sha256sums=("81d713cb70e1e75e5a89729c856d3345d300697ee8f6fd8fa8c3c120d575e672")
 sha256sums_i686=("86e020f6307913d3287fe58b1328a0892ae8588dcd96156414c1361295968a3d")
 sha256sums_x86_64=("b2e043a4cba9e913bf6a62a7d33f307bcb8d103fb7d285f6608ff2918d61feff")
+sha256sums_aarch64=("bf340f82ae5e3958da430f40d303a42324b01b9f8860347615ff0a6d5f62e802")

 package_pivx-daemon() {
   pkgdesc+="(daemon)"
-- 
2.30.0


aaronm-cloudtek commented on 2017-10-10 01:03

Since there are still upstream issues with the build process I have updated the package to use the pre-compiled binaries for now.

aaronm-cloudtek commented on 2017-05-10 05:49

I updated the package to the latest 2.2.1 though it still won't compile until the OpenSSL compatibility issue is fixed.

aaronm-cloudtek commented on 2017-05-02 23:06

@jinglejungle,

There is a compatibility issue with the latest OpenSSL: https://github.com/PIVX-Project/PIVX/issues/149

I recommend using upstream's pre-compiled binaries until it is fixed.

jinglejungle commented on 2017-05-02 09:53

Hi Aaron, community,

i get this error:
---------------
checking for RAND_egd in -lcrypto... no
configure: error: Detected LibreSSL: This is NOT supported, and may break consensus compatibility!
==> FEHLER: Ein Fehler geschah in build().
Breche ab...
==> FEHLER:Makepkg konnte pivx nicht erstellen.
==> Erstellen von pivx-cli neu starten?[j/N]
==> ----------------------------------------
==>

---------------

What's wrong?

BR
JJ

aaronm-cloudtek commented on 2017-04-03 04:47

Thanks @ccoder, I updated the package.

ccoder commented on 2017-03-28 21:50

Hi AaronM,

on my system i also needed to install 'qt5-tools' to build, maybe you are missing a dependency.

g ccoder